﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Caching;
using CommunityDaysDemo.ObjectModel.Caching;

namespace CommunityDaysDemo.ObjectModel
{
    public class CustomersManager
    {
        public IEnumerable<Customer> GetList()
        {
            ObjectCache cache = CacheFactory.GetCache();
            var key = "customers.list";
            var res = cache.Get(key) as IEnumerable<Customer>;

            if (res != null)
            {
                return res;
            }

            using (var ctx = new NorthwindEntities())
            {
                var list = ctx.Customers.ToList();
                cache.Add(key, list, ObjectCache.InfiniteAbsoluteExpiration);
                return list;
            }
        }
    }
}
