﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace CommunityDaysDemo.ObjectModel
{
    public class OrdersManager
    {
        public List<Order> GetOrdersByCustomer(string customerId)
        {
            using (var ctx = new NorthwindEntities())
            {
                return ctx.Orders.Where(o => o.CustomerID == customerId).ToList();
            }
        }

        public void UpdateOrder(Order order)
        {
            using (var ctx = new NorthwindEntities())
            {
                var originalOrder = ctx.Orders.First(o => o.OrderID == order.OrderID);
                ctx.Orders.ApplyCurrentValues(order);

                ctx.SaveChanges();
            }
        }
    }
}